Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.render
Class RendererContext

    java.lang.Object
      org.jboss.portal.theme.render.RendererContext

Direct Known Subclasses:
  JSPRendererContext, WriterRendererContext

    public abstract class RendererContext

extends java.lang.Object

A render context to render a context on a page.

A render context is scoped to a MarkupContainer (a region, or a window). A render context that is not scoped to a MarkupContainer is ment to be a page level template to allow easier creation of the region and window render contexts via the `RenderContext.getContext()` methods.

Version:
  $LastChangedRevision: 10337 $, $LastChangedDate: 2008-03-19 22:46:37 +0100 (Wed, 19 Mar 2008) $
Author:

  Constructor Summary
  `RendererContext(ThemeContext themeContext, RendererFactory rendererFactory, org.jboss.portal.web.ServletContextDispatcher dispatcher, org.jboss.portal.common.util.MarkupInfo markupInfo)` Create a new render context for the provided result.

  Method Summary
  `java.lang.Object` | `getAttribute(java.lang.String attrName)`
  `java.lang.String` | `getCharset()`
  `org.jboss.portal.web.ServletContextDispatcher` | `getDispatcher()`
  `org.jboss.portal.common.util.MarkupInfo` | `getMarkupInfo()`
  `org.jboss.portal.common.net.media.MediaType` | `getMediaType()`
  `java.lang.String` | `getProperty(java.lang.String propertyName)`
  `java.lang.String` | `getProperty(java.lang.String propertyName, PropertyFetch fetch)`
  `ThemeContext` | `getThemeContext()`
  `abstract java.io.PrintWriter` | `getWriter()`
  `ObjectRendererContext` | `popObjectRenderContext()`
  `void` | `pushObjectRenderContext(ObjectRendererContext objectRendererContext)`
  `void` | `render(ObjectRendererContext ctx)`
  `void` | `setAttribute(java.lang.String attrName, java.lang.Object attrValue)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### RendererContext

      public RendererContext(ThemeContext themeContext,
                             RendererFactory rendererFactory,
                             org.jboss.portal.web.ServletContextDispatcher dispatcher,
                             org.jboss.portal.common.util.MarkupInfo markupInfo)

    Create a new render context for the provided result.

    The result contains information about the markup container (page, region , window context) to render.

  Method Detail

  ### getWriter

      public abstract java.io.PrintWriter getWriter()

  ### getThemeContext

      public ThemeContext getThemeContext()

  ### getDispatcher

      public org.jboss.portal.web.ServletContextDispatcher getDispatcher()

  ### getMarkupInfo

      public org.jboss.portal.common.util.MarkupInfo getMarkupInfo()

  ### getMediaType

      public org.jboss.portal.common.net.media.MediaType getMediaType()

  ### getCharset

      public java.lang.String getCharset()

  ### getAttribute

      public java.lang.Object getAttribute(java.lang.String attrName)

  ### setAttribute

      public void setAttribute(java.lang.String attrName,
                               java.lang.Object attrValue)

  ### getProperty

      public java.lang.String getProperty(java.lang.String propertyName)

  ### getProperty

      public java.lang.String getProperty(java.lang.String propertyName,
                                          PropertyFetch fetch)

  ### pushObjectRenderContext

      public void pushObjectRenderContext(ObjectRendererContext objectRendererContext)

  ### popObjectRenderContext

      public ObjectRendererContext popObjectRenderContext()

  ### render

      public void render(ObjectRendererContext ctx)
                  throws RenderException,
                         java.lang.IllegalStateException

    Throws:
      `RenderException`
      `java.lang.IllegalStateException`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD